All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
ichol.hpp File Reference

Implementations of incomplete Cholesky factorization preconditioners with static nonzero pattern. More...

`#include <vector>`
`#include <cmath>`
`#include <iostream>`
`#include "viennacl/forwards.h"`
`#include "viennacl/tools/tools.hpp"`
`#include "viennacl/compressed_matrix.hpp"`
`#include "viennacl/linalg/host_based/common.hpp"`
`#include <map>`

Go to the source code of this file.

## Classes

class | viennacl::linalg::ichol0_tag
| A tag for incomplete Cholesky factorization with static pattern (ILU0) More...
class | viennacl::linalg::ichol0_precond< MatrixT >
| Incomplete Cholesky preconditioner class with static pattern (ICHOL0), can be supplied to solve()-routines. More...
class | viennacl::linalg::ichol0_precond< compressed_matrix< NumericT, AlignmentV > >
| ILU0 preconditioner class, can be supplied to solve()-routines. More...

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::linalg
| Provides all linear algebra operations which are not covered by operator overloads.

## Functions

template<typename NumericT >
void | viennacl::linalg::precondition (viennacl::compressed_matrix< NumericT > &A, ichol0_tag const &)
| Implementation of a ILU-preconditioner with static pattern. Optimized version for CSR matrices. More...

## Detailed Description

Implementations of incomplete Cholesky factorization preconditioners with static nonzero pattern.

Definition in file ichol.hpp.